Cancel one or more orders
curl --request POST \
--url https://api.sandbox.immutable.com/v1/chains/{chain_name}/orders/cancel \
--header 'Content-Type: application/json' \
--data '
{
"account_address": "0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266",
"ids": [
"018a8c71-d7e4-e303-a2ef-318871ef7756",
"238a8c71-d7e4-e303-a2ef-318871ef7778",
"458a8c71-d7e4-e303-a2ef-318871ef7790"
],
"signature": 291
}
'import requests
url = "https://api.sandbox.immutable.com/v1/chains/{chain_name}/orders/cancel"
payload = {
"account_address": "0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266",
"ids": ["018a8c71-d7e4-e303-a2ef-318871ef7756", "238a8c71-d7e4-e303-a2ef-318871ef7778", "458a8c71-d7e4-e303-a2ef-318871ef7790"],
"signature": 291
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
account_address: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266',
ids: [
'018a8c71-d7e4-e303-a2ef-318871ef7756',
'238a8c71-d7e4-e303-a2ef-318871ef7778',
'458a8c71-d7e4-e303-a2ef-318871ef7790'
],
signature: 291
})
};
fetch('https://api.sandbox.immutable.com/v1/chains/{chain_name}/orders/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"successful_cancellations": [
"018a8c71-d7e4-e303-a2ef-318871ef7756",
"458a8c71-d7e4-e303-a2ef-318871ef7778"
],
"pending_cancellations": [
"238a8c71-d7e4-e303-a2ef-318871ef7778",
"898a8c71-d7e4-e303-a2ef-318871ef7735"
],
"failed_cancellations": [
{
"order": "458a8c71-d7e4-e303-a2ef-318871ef7790",
"reason_code": "FILLED"
},
{
"order": "338a8c71-d7e4-e303-a2ef-318871ef7342",
"reason_code": "FILLED"
}
]
}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "VALIDATION_ERROR",
"details": {}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "UNAUTHORISED_REQUEST",
"details": {}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "RESOURCE_NOT_FOUND",
"details": {}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "TOO_MANY_REQUESTS_ERROR",
"details": {}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "INTERNAL_SERVER_ERROR",
"details": {}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "NOT_IMPLEMENTED_ERROR",
"details": {}
}orders
Cancel one or more orders
Cancel one or more orders
POST
/
v1
/
chains
/
{chain_name}
/
orders
/
cancel
Cancel one or more orders
Path Parameters
The name of chain
Example:
"imtbl-zkevm-testnet"
Body
application/json
Address of the user initiating the cancel request
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266"
List of order ids proposed for cancellation
Required array length:
1 - 20 elementsSignature generated by the user for the specific cancellation request
Example:
"0x12345"
Response
Orders cancellation response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I